<?php
/**
 * Cryozonic
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Single Domain License
 * that is available through the world-wide-web at this URL:
 * http://cryozonic.com/licenses/stripe.html
 * If you are unable to obtain it through the world-wide-web, 
 * please send an email to info@cryozonic.com so we can send 
 * you a copy immediately.
 *
 * @category   Cryozonic
 * @package    Cryozonic_Stripe
 * @copyright  Copyright (c) 2013 Cryozonic Ltd (http://cryozonic.com)
 */
 ?>
 
<?php $_code=$this->getMethodCode() ?>
<ul id="payment_form_<?php echo $_code ?>" style="display:none">
    <?php include 'saved.phtml'; ?>
    <li class="stripe-new">
        <div class="input-box">
            <label for="<?php echo $_code ?>_cc_owner"><?php echo Mage::helper('payment')->__('Name on Card') ?> <span class="required">*</span></label><br/>
            <input type="text" title="<?php echo Mage::helper('payment')->__('Name on Card') ?>" class="required-entry stripe-input input-text" id="<?php echo $_code ?>_cc_owner" name="payment[cc_owner]" value="<?php echo $this->getInfoData('cc_owner') ?>"/>
        </div>
    </li>
    <li class="stripe-new">
        <div class="input-box">
            <label for="<?php echo $_code ?>_cc_number"><?php echo Mage::helper('payment')->__('Credit Card Number') ?> <span class="required">*</span></label><br/>
            <input type="text" id="<?php echo $_code ?>_cc_number" name="payment[cc_number]" title="<?php echo Mage::helper('payment')->__('Credit Card Number') ?>" class="input-text required-entry stripe-input validate-cc-number" value="<?php echo $this->getInfoData('cc_number')?>"/>
        </div>
    </li>
    <li class="stripe-new">
        <div class="input-box">
            <label for="<?php echo $_code ?>_expiration"><?php echo Mage::helper('payment')->__('Expiration Date') ?> <span class="required">*</span></label><br/>
            <select id="<?php echo $_code ?>_expiration" style="width:140px;" name="payment[cc_exp_month]" class="validate-cc-exp required-entry stripe-input">
            <?php $_ccExpMonth = $this->getInfoData('cc_exp_month') ?>
            <?php foreach ($this->getCcMonths() as $k=>$v): ?>
                <option value="<?php echo $k ?>" <?php if($k==$_ccExpMonth): ?>selected="selected"<?php endif ?>><?php echo $v ?></option>
            <?php endforeach ?>
            </select>
            <?php $_ccExpYear = $this->getInfoData('cc_exp_year') ?>
            <select id="<?php echo $_code ?>_expiration_yr" style="width:103px;" name="payment[cc_exp_year]" class="required-entry stripe-input">
            <?php foreach ($this->getCcYears() as $k=>$v): ?>
                <option value="<?php echo $k ? $k : '' ?>" <?php if($k==$_ccExpYear): ?>selected="selected"<?php endif ?>><?php echo $v ?></option>
            <?php endforeach ?>
            </select>
        </div>
    </li>
    <?php if($this->hasVerification()): ?>
    <li class="stripe-new">
        <div class="input-box">
            <label for="<?php echo $_code ?>_cc_cid"><?php echo Mage::helper('payment')->__('Card Verification Number') ?> <span class="required">*</span></label><br/>
            <input type="text" title="<?php echo Mage::helper('payment')->__('Card Verification Number') ?>" class="required-entry stripe-input input-text validate-cc-cvn" id="<?php echo $_code ?>_cc_cid" name="payment[cc_cid]" style="width:3em;" value="<?php echo $this->getInfoData('cc_cid')?>"/>
        </div>
    </li>
    <?php endif; ?>
    <?php if ($this->hasSsCardType()): ?>
    <li id="<?php echo $_code ?>_cc_type_ss_div" class="stripe-new">
        <ul class="inner-form">
            <li class="form-alt"><label for="<?php echo $_code ?>_cc_issue" class="required"><em>*</em><?php echo $this->__('Switch/Solo/Maestro Only') ?></label></li>
            <li>
                <label for="<?php echo $_code ?>_cc_issue"><?php echo $this->__('Issue Number') ?>:</label>
                <span class="input-box">
                    <input type="text" title="<?php echo $this->__('Issue Number') ?>" class="input-text validate-cc-ukss cvv" id="<?php echo $_code ?>_cc_issue" name="payment[cc_ss_issue]" value="" />
                </span>
            </li>

            <li>
                <label for="<?php echo $_code ?>_start_month"><?php echo $this->__('Start Date') ?>:</label>
                <div class="input-box">
                        <select id="<?php echo $_code ?>_start_month" name="payment[cc_ss_start_month]" class="validate-cc-ukss month">
                        <?php foreach ($this->getCcMonths() as $k=>$v): ?>
                            <option value="<?php echo $k?$k:'' ?>"<?php if($k==$this->getInfoData('cc_ss_start_month')): ?> selected="selected"<?php endif ?>><?php echo $v ?></option>
                        <?php endforeach ?>
                        </select>
                        <select id="<?php echo $_code ?>_start_year" name="payment[cc_ss_start_year]" class="validate-cc-ukss year">
                        <?php foreach ($this->getSsStartYears() as $k=>$v): ?>
                            <option value="<?php echo $k?$k:'' ?>"<?php if($k==$this->getInfoData('cc_ss_start_year')): ?> selected="selected"<?php endif ?>><?php echo $v ?></option>
                        <?php endforeach ?>
                        </select>
                </div>
            </li>
            <li class="adv-container">&nbsp;</li>
        </ul>
        <script type="text/javascript">
        //<![CDATA[
        var SSChecked<?php echo $_code ?> = function() {
            var elm = $('<?php echo $_code ?>_cc_type');
            if (['SS','SM','SO'].indexOf(elm.value) != -1) {
                $('<?php echo $_code ?>_cc_type_ss_div').show();
            } else {
                $('<?php echo $_code ?>_cc_type_ss_div').hide();
            }
        };
        Event.observe($('<?php echo $_code ?>_cc_type'), 'change', SSChecked<?php echo $_code ?>);
        SSChecked<?php echo $_code ?>();
        //]]>
        </script>
    </li>
    <?php endif; ?>
    <?php if ($this->stripe->showSaveCardOption()): ?>
    <li class="stripe-new">
        <div class="input-box">
            <label for="<?php echo $_code ?>_cc_save">
                <input type="checkbox" title="<?php echo $this->__('Save card for future purchases') ?>" class="input-checkbox stripe-input" id="<?php echo $_code ?>_cc_save" name="payment[cc_save]" checked="checked"/>
                &nbsp;
                <?php echo $this->__('Save card for future purchases') ?>
            </label>
        </div>
    </li>
    <?php endif; ?>
</ul>
